///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//         This example code is from the book:
//
//           Object-Oriented Programming with C++ and OSF/Motif, 2nd Edition
//         by
//           Douglas Young
//           Prentice Hall, 1995
//           ISBN 0-13-20925507
//
//         Copyright 1995 by Prentice Hall
//         All Rights Reserved
//
//  Permission to use, copy, modify, and distribute this software for 
//  any purpose except publication and without fee is hereby granted, provided 
//  that the above copyright notice appear in all copies of the software.
///////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////
 // SimpleList.h: A Simple List Template
 ///////////////////////////////////////////////////////
 #ifndef SIMPLE_LIST_H
 #define SIMPLE_LIST_H
 
 template <class T>
 class SimpleList {
     public:
      SimpleList();
      ~SimpleList();
      void add(T);
      void remove(T);    
      T operator[](int i) { return _data[i]; }
      int size() { return _size; };
  
     private:
      T *_data;
      int _size;
  };
  #endif

